
from api_validations.validations_request import (
    InsertBuildDecisionBookProjects,
    InsertBuildDecisionBookProjectItems,
)


def create_decision_book_items(decision_book_items, requester):
    response = requester.post(
        endpoint="/build/decision_book/items/create",
        data=decision_book_items,
    )
    print("text", response.text)
    print("json", response.json())
    return response.json()


def approve_build_decision_book_project():

    return


def approve_build_decision_book_project_item_create(requester):
    requester.post(
        endpoint="/build/decision_book/project/items/create",
        data=dict(
            build_decision_book_project_item_uu_id="",
        ),
    )

